from edps import like

from . import pionier_keywords as kwd


def is_pionier(f):
    return f[kwd.instrume] == "PIONIER"


def is_interferometry(f):
    return is_pionier(f) and f[kwd.dpr_tech] == "INTERFEROMETRY"


def is_test(f):
    return is_pionier(f) and f[kwd.dpr_catg] == "TEST"


def is_calib(f):
    return is_pionier(f) and f[kwd.dpr_catg] == "CALIB"


def is_vlti_calib(f):
    return is_interferometry(f) and f[kwd.dpr_catg] == "CALIB"


def is_flat_fn(f):
    return is_test(f) and "FLAT_F" in f[kwd.dpr_type] and f[kwd.dpr_tech] == "IMAGE"


def is_bias(f):
    return is_calib(f) and f[kwd.dpr_type] == "BIAS" and f[kwd.dpr_tech] == "IMAGE" and f[kwd.exptime] < 1


def is_bias_detmon_test(f):
    return is_test(f) and f[kwd.dpr_type] == "PTC,BIAS,DETCHAR" and f[kwd.dpr_tech] == "IMAGE" and f[kwd.exptime] < 1


def is_bias_detmon(f):
    return is_calib(f) and f[kwd.dpr_type] == "PTC,BIAS,DETCHAR" and f[kwd.dpr_tech] == "IMAGE" and f[kwd.exptime] < 1


def is_bias_detchar(f):
    return is_calib(f) and f[kwd.dpr_type] == "PTC,BIAS,DETCHAR" and f[kwd.dpr_tech] == "IMAGE" and f[kwd.exptime] > 1


def is_raw_kappa(f):
    return is_calib(f) and is_interferometry(f) and like(f[kwd.dpr_type], "KAPPA")


def is_int_fringe(f):
    return is_vlti_calib(f) and f[kwd.dpr_type] in ["FRINGE,LAMP", "FRINGE,MARCEL"]
